﻿/* var(--main-backgroud-color); */
*:root {
    --main-color1: #9B2242 !important;
    --main-color2: #B9975B !important;
    --main-color3: #707372 !important;
    --main-color4: #A7A8AA !important;
    --main-color5: #0085AD !important;
    --main-color6: #658D1B !important;
    --main-color7: #FFB81C !important;
    --main-color8: #2D2926 !important;
    --font-size-General: .9rem !important;
    --font-size-Rows: .8rem !important;
}


/*///////////////////////////////
[ FONT ]
///////////////////////////////*/
@font-face {
    font-family: Montserrat-Regular;
    src: url('../fonts/Montserrat/Montserrat-Regular.ttf');
}
@font-face {
    font-family: Montserrat-Medium;
    src: url('../fonts/Montserrat/Montserrat-Medium.ttf');
    
}
@font-face {
    font-family: Montserrat-Bold;
    src: url('../fonts/Montserrat/Montserrat-Bold.ttf');
}
@font-face {
    font-family: Montserrat-SemiBold;
    src: url('../fonts/Montserrat/Montserrat-SemiBold.ttf');
}

/*====================================================================*/
* {
    font-family: Montserrat-Regular;
    font-size: .9rem;
}

.avise-title {
    font-family: Montserrat-Bold;
    color: var(--main-color8);
}


label, legend {
    font-family: Montserrat-SemiBold;
    color: var(--main-color8);
    font-size: var(--font-size-General);
}


input, select, dd, dt,span {
    font-family: Montserrat-Regular;
    font-size: var(--font-size-General);
}

.card-header {
    background-color: var(--main-color1);
    color: white;
}

#sidebar-menu > ul > li > a.active {
    color: white;
    background-color: var(--main-color1);
}

textarea {
    resize: none;
}

.custom-modal .modal-header {
    background-color: var(--main-color5);
    color: #fff;
}
.colorCardHeader {
    background-color: var(--main-color5);
}

tr, td {
    margin: 0 !important;
    padding: 0 !important;
}

#map {
    height: 100%;
}
.container-fluid {
    padding-right: 2px;
    padding-left: 2px;
}

.SemaforoVerde {
    background-color: rgba(0, 255, 0, 0.2);
}
.SemaforoAmarillo {
    background-color: rgba(255, 206, 86, 0.2);
}
.SemaforoRojo {
    background-color: rgba(255, 99, 132, 0.2);
    
}
.card-body {
    padding: 5px;
}

.nav-tabs .nav-link.active {
    color: white;
    background-color: var(--main-color2);
}
th {
    padding: 0;
    font-family: Montserrat-SemiBold;
    color: var(--main-color8);
    font-size: var(--font-size-General);
}

td {
    padding:0;
    font-family: Montserrat-Regular;
    color: var(--main-color8);
    font-size: var(--font-size-Rows);
    text-align: center;
    vertical-align: middle !important;
}

.tableMaster {
    background-color: #FFD662;
    width: 100%;
}
    /*.tableMaster > table tr{
        background-color: #ffebb3;
    }*/
input[type="checkbox"] {
    width: 25px;
    margin-left: 5px;
    margin-top: -1px;
}

.tabcontainer {
    width: 98%;
    height: 100% !important;
    margin: 10px 15px 10px 10px;
    padding: 15px;
    box-shadow: 5px 5px 10px 0 rgba(0, 0, 0, 0.4);
}
.tabcontainer2 {
    width: 98%;
    margin: 10px 15px 10px 10px;
    padding: 15px;
    box-shadow: 5px 5px 10px 0 rgba(0, 0, 0, 0.4);
}
.btnAcciones{
    margin-left: 5px;
}
/*.selected{
    background-color: dimgrey;
    color: white;
}*/

.jumbotron {
    padding: 2rem 1rem;
    margin-bottom: 2rem;
    background-color: #e9ecef;
    border-radius: 0.3rem;
    background: -moz-linear-gradient(top, rgba(30,87,153,1) 0%, rgba(30,87,153,0.54) 46%, rgba(125,185,232,0.18) 82%, rgba(125,185,232,0) 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top, rgba(30,87,153,1) 0%,rgba(30,87,153,0.54) 46%,rgba(125,185,232,0.18) 82%,rgba(125,185,232,0) 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, rgba(30,87,153,1) 0%,rgba(30,87,153,0.54) 46%,rgba(125,185,232,0.18) 82%,rgba(125,185,232,0) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#1e5799', endColorstr='#007db9e8',GradientType=0 ); /* IE6-9 */
}

.error{
    color:red;
}

.navigateButtom{
    color:blue;

}

.selected {
    background-color: #9F9C99;
    color: white !important;
}

/*colores defs botones defs accion*/

.bg-editar {
    background-color: #98B4D4;
}

.bg-info {
    background-color: #EFC050;
}

.bg-nuevo {
    background-color: #34495e;
    color: white;
}


.webreport {
    padding-left: 20px;
    padding-right: 24px;
}
.excelButton{
    margin-left: 260px;
    position:fixed;
    background-color: forestgreen;
}

/* estilos para mostrar Informarción */
dl {
    border: 1px solid #bdc8ca;
    background-color: #f7fafa;
}

.ie7 dl {
    overflow: hidden;
}

dt,
dd {
    box-sizing: border-box;
    padding: 0px;
}

    dd ~ dt,
    dd ~ dd {
        border-top: 1px solid #bdc8ca;
    }

dt {
    float: left;
    width: 35%;
    padding-bottom: 0;
}

.ie7 dt {
    padding-bottom: 10px;
    clear: both;
}

dd {
    margin-left: 35%;
    border-left: 1px dotted #bdc8ca;
    background-color: #fff;
}

.ie7 dd {
    margin-left: 40%;
    overflow: hidden;
}

dd:after {
    content: "";
    display: block;
    clear: both;
}
/*dt*/ .row2 + dd:after {
    content: none;
}

dt {
    font-size: 12px;
    text-align: right;
    min-height: 30px;
    /*display: table-cell;
        vertical-align: middle;*/
}

dd {
    font-size: 12px;
    text-align: left;
    min-height: 30px;
    padding-left: 5px;
    /*display: table-cell;
        vertical-align: middle;*/
}


.hidden-div {
    display: none;
}

.spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -50px; /* half width of the spinner gif */
    margin-top: -50px; /* half height of the spinner gif */
    text-align: center;
    z-index: 999999;
    overflow: auto;
    width: 200px; /* width of the spinner gif */
    height: 202px; /*hight of the spinner gif +2px to fix IE8 issue */
}

.highlight {
    background-color: yellow;
}

/*onkeyup="this.value=this.value.toUpperCase()"*/
textarea
,input[type=text] {
    text-transform: uppercase;
}